Package org.jbpm.process.workitem.core.util

## Annotation Type Wid

-     @Retention(RUNTIME)
      @Target(TYPE)
      @Documented
      public @interface Wid

  Defines an annotated class that is of type Wid. Used for WorkItemHandler implmenentations to define values for the handlers workitem configuration. Can be used to auto-generate the handlers workitem configuration (.wid) file.

- - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element | Description
    --- | --- | ---
    `String` | `category` |
    `String` | `defaultHandler` |
    `String` | `description` |
    `String` | `displayName` |
    `String` | `documentation` |
    `String` | `icon` |
    `WidMavenDepends[]` | `mavenDepends` |
    `String` | `name` |
    `WidParameter[]` | `parameters` |
    `WidParameterValues[]` | `parameterValues` |
    `WidResult[]` | `results` |
    `WidService` | `serviceInfo` |
    `String` | `widfile` |

- - ### Element Detail

    - #### widfile

          String widfile

      Default:
        ""

  - - #### name

          String name

      Default:
        ""

  - - #### displayName

          String displayName

      Default:
        ""

  - - #### category

          String category

      Default:
        ""

  - - #### icon

          String icon

      Default:
        ""

  - - #### description

          String description

      Default:
        ""

  - - #### defaultHandler

          String defaultHandler

      Default:
        ""

  - - #### documentation

          String documentation

      Default:
        ""

  - - #### parameters

          WidParameter[] parameters

      Default:
        {}

  - - #### parameterValues

          WidParameterValues[] parameterValues

      Default:
        {}

  - - #### results

          WidResult[] results

      Default:
        {}

  - - #### mavenDepends

          WidMavenDepends[] mavenDepends

      Default:
        {}

  - - #### serviceInfo

          WidService serviceInfo

      Default:
        @org.jbpm.process.workitem.core.util.service.WidService